Delete Booking
curl --request DELETE \
--url https://api.sonderplan.com/v2/booking \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sonderplan.com/v2/booking"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sonderplan.com/v2/booking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": {
"id": 1
}
}{
"error": {
"code": "404",
"message": "Requested resource was not found"
}
}Booking
Delete Booking
WRITE access to the SCHEDULE module is required to access this endpointTo avoid generating lots of undesired notifications, take care when creating or updating bookings and consider using the
notify_user_resources option which can be used to silence notifications for end users.DELETE
/
v2
/
booking
Delete Booking
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the booking to delete
Specifies if user resources (resources with a contact attached) should be sent an email notification about the deleted booking
If deleting a repeat booking, specifies if other repeats should be deleted as well, specifically to all, future or just the single booking. Default is single
Available options:
single, future, all Response
Successful Operation
Show child attributes
Show child attributes